Get metric tag values for a dataset
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
dataset | stringRequired | path | The dataset to retrieve metric tag values from |
metric | stringRequired | path | The metric name to retrieve tag values for |
tag | stringRequired | path | The tag name to retrieve values for |
start | stringRequired | query | Start time for timeframe to return (RFC3339 format) |
end | stringRequired | query | End time for timeframe to return (RFC3339 format) |
Request #
curl -X GET 'https://{axiom-domain}/v1/query/metrics/info/datasets/DATASET/metrics/METRIC/tags/TAG/values' \
-H 'Authorization: Bearer API_TOKEN'Try itRun this request against your Axiom organization
Credentials stay in this browser tab and are only sent to Axiom when you run the request.
Response #
200Tag values for the specified metric and tag404Dataset, metric, or tag not founddefaultUser or system error